List All Disbursements
Fetches all disbursements the organization has created. This endpoint supports pagination. The response includes basic aggregations on payments within the disbursement.
curl --request GET \
--url https://api.example.com/disbursements \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/disbursements"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/disbursements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/disbursements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/disbursements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/disbursements")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/disbursements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"pagination": {
"next": "?page=3&page_limit=2",
"prev": "?page=1&page_limit=2",
"pages": 8,
"total": 16
},
"data": [
{
"id": "619da857-8725-4c58-933d-c120a458e0f5",
"name": "Disbursement Name",
"receiver_registration_message_template": "You have a payment waiting for you from {{.OrganizationName}}. Click {{.RegistrationLink}} to register.",
"registration_contact_type": "EMAIL",
"wallet": {
"id": "5ada9ed5-455a-4782-a0ee-160767e0deb1",
"name": "Vibrant Assist",
"homepage": "https://vibrantapp.com",
"sep_10_client_domain": "api-dev.vibrantapp.com",
"deep_link_schema": "https://vibrantapp.com/sdp-dev",
"created_at": "2023-07-31T20:50:45.648Z",
"updated_at": "2023-07-31T20:50:45.648Z"
},
"asset": {
"id": "ffaec4b3-46b0-4db4-a4c4-6c3508057705",
"code": "USDC",
"issuer": "GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5",
"created_at": "2023-02-03T10:45:51Z",
"updated_at": "2023-02-03T10:45:51Z",
"deleted_at": "2023-06-03T10:55:51Z"
},
"status": "DRAFT",
"source_wallet_id": "4c379f5e-09b5-4472-a286-b84e249a1512",
"verification_field": "DATE_OF_BIRTH",
"status_history": [
{
"user_id": "3f351b9e-ed0f-40fa-a314-14757b42dab1",
"status": "DRAFT",
"timestamp": "2023-02-03T10:45:51Z"
}
],
"file_name": "disbursement-feb-03-2023.csv",
"created_at": "2023-02-03T10:45:51Z",
"updated_at": "2023-02-03T10:45:51Z",
"total_payments": 10,
"total_payments_sent": 8,
"total_payments_failed": 1,
"total_payments_remaining": 1,
"amount_disbursed": "800.00",
"total_amount": "1000.00",
"average_amount": "100.00"
}
]
}{
"error": "Not authorized",
"extras": {
"status": 401,
"message": "Not authorized"
}
}{
"error": "Forbidden"
}Authorizations
Authorization header containing an SDP JWT (ES256) or an SDP_ API key.
Headers
Optional. Narrows the results to a single distribution account. Omit it to cover every account you have access to.
Query Parameters
The page requested.
Define how many results will be returned in the response.
A search term used to query through the disbursement names.
Comma-separated list of disbursement statuses to filter by.
DRAFT, READY, STARTED, PAUSED, COMPLETED, CANCELED Only return disbursements that are created after this date. Format: YYYY-MM-DD
Only return disbursements that are created before this date. Format: YYYY-MM-DD
Field used to sort disbursements
name, created_at Direction for sorting disbursements.
asc, desc curl --request GET \
--url https://api.example.com/disbursements \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/disbursements"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/disbursements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/disbursements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/disbursements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/disbursements")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/disbursements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"pagination": {
"next": "?page=3&page_limit=2",
"prev": "?page=1&page_limit=2",
"pages": 8,
"total": 16
},
"data": [
{
"id": "619da857-8725-4c58-933d-c120a458e0f5",
"name": "Disbursement Name",
"receiver_registration_message_template": "You have a payment waiting for you from {{.OrganizationName}}. Click {{.RegistrationLink}} to register.",
"registration_contact_type": "EMAIL",
"wallet": {
"id": "5ada9ed5-455a-4782-a0ee-160767e0deb1",
"name": "Vibrant Assist",
"homepage": "https://vibrantapp.com",
"sep_10_client_domain": "api-dev.vibrantapp.com",
"deep_link_schema": "https://vibrantapp.com/sdp-dev",
"created_at": "2023-07-31T20:50:45.648Z",
"updated_at": "2023-07-31T20:50:45.648Z"
},
"asset": {
"id": "ffaec4b3-46b0-4db4-a4c4-6c3508057705",
"code": "USDC",
"issuer": "GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5",
"created_at": "2023-02-03T10:45:51Z",
"updated_at": "2023-02-03T10:45:51Z",
"deleted_at": "2023-06-03T10:55:51Z"
},
"status": "DRAFT",
"source_wallet_id": "4c379f5e-09b5-4472-a286-b84e249a1512",
"verification_field": "DATE_OF_BIRTH",
"status_history": [
{
"user_id": "3f351b9e-ed0f-40fa-a314-14757b42dab1",
"status": "DRAFT",
"timestamp": "2023-02-03T10:45:51Z"
}
],
"file_name": "disbursement-feb-03-2023.csv",
"created_at": "2023-02-03T10:45:51Z",
"updated_at": "2023-02-03T10:45:51Z",
"total_payments": 10,
"total_payments_sent": 8,
"total_payments_failed": 1,
"total_payments_remaining": 1,
"amount_disbursed": "800.00",
"total_amount": "1000.00",
"average_amount": "100.00"
}
]
}{
"error": "Not authorized",
"extras": {
"status": 401,
"message": "Not authorized"
}
}{
"error": "Forbidden"
}